summaryrefslogtreecommitdiff
path: root/x11-misc/pcmanfm-qt-share
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-21 20:44:27 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-21 20:44:27 +0000
commit70434d4d27727aab7a17f73f084a3e84fdfe357d (patch)
tree669b7668e5bf6d7139be3652f1fc481a4f7f3856 /x11-misc/pcmanfm-qt-share
parent8cf92964b1ad1002e070aa513d9f76eb81f19481 (diff)
sys-kernel/linux-redcore-lts : drop old
Diffstat (limited to 'x11-misc/pcmanfm-qt-share')
-rw-r--r--x11-misc/pcmanfm-qt-share/files/ShareReadOnly.desktop8
-rw-r--r--x11-misc/pcmanfm-qt-share/files/ShareReadWrite.desktop8
-rw-r--r--x11-misc/pcmanfm-qt-share/pcmanfm-qt-share-1710.ebuild26
3 files changed, 42 insertions, 0 deletions
diff --git a/x11-misc/pcmanfm-qt-share/files/ShareReadOnly.desktop b/x11-misc/pcmanfm-qt-share/files/ShareReadOnly.desktop
new file mode 100644
index 00000000..e3ef10ac
--- /dev/null
+++ b/x11-misc/pcmanfm-qt-share/files/ShareReadOnly.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Action
+Name=Samba Network Share (readonly)
+Profiles=profile-zero;
+
+[X-Action-Profile profile-zero]
+Exec=/usr/bin/net usershare add %w %f "" Everyone:R guest_ok=y
+Name=Default profile
diff --git a/x11-misc/pcmanfm-qt-share/files/ShareReadWrite.desktop b/x11-misc/pcmanfm-qt-share/files/ShareReadWrite.desktop
new file mode 100644
index 00000000..44a3d165
--- /dev/null
+++ b/x11-misc/pcmanfm-qt-share/files/ShareReadWrite.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Action
+Name=Samba Network Share (readwrite)
+Profiles=profile-zero;
+
+[X-Action-Profile profile-zero]
+Exec=/usr/bin/net usershare add %w %f "" Everyone:F guest_ok=y && chmod = 777 %f
+Name=Default profile
diff --git a/x11-misc/pcmanfm-qt-share/pcmanfm-qt-share-1710.ebuild b/x11-misc/pcmanfm-qt-share/pcmanfm-qt-share-1710.ebuild
new file mode 100644
index 00000000..c7c24c35
--- /dev/null
+++ b/x11-misc/pcmanfm-qt-share/pcmanfm-qt-share-1710.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="PCManFM-QT custom action to share folder using Samba"
+HOMEPAGE="https://redcorelinux.org"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="net-fs/samba"
+RDEPEND="${DEPEND}"
+
+S="${FILESDIR}"
+
+src_install() {
+ dodir "/usr/share/file-manager/actions" || die
+ insinto "/usr/share/file-manager/actions" || die
+ doins -r "${S}/"* || die
+}